# Example ITRS Analytics configuration for micro-sized instance handling ~100,000 entities, ~400,000 time series,
# ~3000 datapoints/sec (tested with approximately 2200 metrics/sec, 800 logs/sec, 10 signals/sec, 10 audit events/sec);
# and ~3000 span/sec (pre-sampling).
# Actual ingestion composition may vary by deployment.
# No HA and with nginx Ingress controller.
#
# The resource requests total ~18 cores / ~51 GiB requests (~60 cores / ~72 GiB limits)
# These totals include optional Linkerd sidecar resources
#
# It is recommended to use a storage class with defaults of 3000 IOPS and 125 MiB/s throughput.
#
# DISK REQUIREMENTS:
# Estimated disk requirements based on default retention and the ingestion rate above
# (actual size will vary depending on the shape of the data being ingested).
# - Kafka: 100 GiB
# - Kafka controller: 10 GiB
# - Postgres: 3 GiB
# - ClickHouse Keeper: 2 GiB
# - ClickHouse Platform: 20 GiB
# - ClickHouse Metrics: 200 GiB
# - ClickHouse Logs: 60 GiB
# - ClickHouse Traces: 30 GiB
# - etcd: 16 GiB

apps:
  externalHostname: "iax.mydomain.internal"
  ingress:
    className: "nginx"
ingestion:
  externalHostname: "iax-ingestion.mydomain.internal"
  ingress:
    className: "nginx"
    annotations:
      nginx.ingress.kubernetes.io/backend-protocol: "GRPC"
      nginx.ingress.kubernetes.io/use-regex: "true"
    usePathRegex: true
  # If OTel traces are ingested, the resources of trace-ingestion workload should be overridden with the following:
  #traces:
  #  jvmOpts: "-XX:MaxDirectMemorySize=80M"
  #  resources:
  #    requests:
  #      memory: "1500Mi"
  #      cpu: "250m"
  #    limits:
  #      memory: "2500Mi"
  #      cpu: "1"
iam:
  ingress:
    className: "nginx"
kafka:
  resources:
    limits:
      memory: "3Gi"
    requests:
      memory: "3Gi"
  diskSize: "100Gi"
etcd:
  diskSize: "16Gi"
clickhouse:
  traces:
    diskSize: "30Gi"
    resources:
      limits:
        cpu: "1"
        memory: "6Gi"
      requests:
        cpu: "1"
        memory: "6Gi"
  metrics:
    diskSize: "200Gi"
    resources:
      limits:
        cpu: "2"
        memory: "6Gi"
      requests:
        cpu: "2"
        memory: "6Gi"
  platform:
    diskSize: "20Gi"
    resources:
      limits:
        cpu: "3"
        memory: "8Gi"
      requests:
        cpu: "3"
        memory: "8Gi"
  logs:
    diskSize: "60Gi"
    resources:
      limits:
        cpu: "2"
        memory: "6Gi"
      requests:
        cpu: "2"
        memory: "6Gi"